objects.JSInterface Class Reference

## Public Member Functions

def | __init__ (self, Config config)
def | install (self)

## Detailed Description

    A class to interface with the JavaScript side of pyShelf.

## Constructor & Destructor Documentation

## __init__()

def objects.JSInterface.__init__ | ( |  | self,
|  | Config | config
| ) |  |

    Initialize the JSInterface object.

## Member Function Documentation

## install()

def objects.JSInterface.install | ( |  | self | ) |

    Install the JavaScript dependencies.

The documentation for this class was generated from the following file:

- src/frontend/lib/objects.py